List condition templates for adaptive content expressions in a site
Returns pre-generated condition templates derived from the site's visitor attributes schema. These templates can be used as building blocks when writing adaptive content expressions to conditionally show or hide content for different visitor types. Use this to discover available conditions before authoring adaptive rules.
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$siteIdstringRequired
The unique id of the site
Responses
200
List of template conditions generated based on the site visitor schema.
application/json
get/orgs/{organizationId}/sites/{siteId}/adaptive-schema/template-conditions
GET /v1/orgs/{organizationId}/sites/{siteId}/adaptive-schema/template-conditions HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
List of template conditions generated based on the site visitor schema.
{
"items": [
{
"description": "text",
"condition": "text"
}
]
}Last updated
Was this helpful?